Subject: Re: gcc-3.2-3: bootstrap build fails (HAVE_DECL_GETOPT not in config.h?)
From: Anurag Sharma <[email-masked]>
To: [email-masked]
Date: Tue, 3 Dec 2002 17:25:06 +1100

Hi All,

Has there been a resolution to this issue? I can't see any answeres in the
previous posts.

Regards,

Anurag

On Wed, 20 Nov 2002 10:14:59 +1100
Nigel Stewart & Fiona Smith <[email-masked]> wrote:

> Michael,
> 
> I have encountered the same problem on my setup.
> 
> Regards,
> 
> Nigel Stewart
> 
> >Trying to build gcc-3.2-3 from scratch.  Have the near latest versions
> >of everything in cygwin (see cygcheck.out).
> >
> >/home/mhcox/projects/build/gcc-3.2-3/gcc/xgcc -shared-libgcc
> >-B/home/mhcox/p rojects/build/gcc-3.2-3/gcc/ -nostdinc++
> >-L/home/mhcox/projects/build/gcc-3. 2-3/i686-pc-cygwin/libstdc++-v3/src
> >-L/home/mhcox/projects/build/gcc-3.2-3/i
> >686-pc-cygwin/libstdc++-v3/src/.libs
> >-B/home/mhcox/projects/install/i686-pc- cygwin/bin/
> >-B/home/mhcox/projects/install/i686-pc-cygwin/lib/
> >-isystem/home/mhcox/projects/install/i686-pc-cygwin/include
> >-I/usr/src/gcc-3.2-3/lib stdc++-v3/../gcc
> >-I/usr/src/gcc-3.2-3/libstdc++-v3/../include -I/home/mhcox/
> >projects/build/gcc-3.2-3/i686-pc-cygwin/libstdc++-v3/include/i686-pc-c
> >ygwin
> >-I/home/mhcox/projects/build/gcc-3.2-3/i686-pc-cygwin/libstdc++-v3/inc
> >lude - I/usr/src/gcc-3.2-3/libstdc++-v3/libsupc++ -g -O2
> >-fno-implicit-templates -W all -Wno-format -W -Wwrite-strings -Winline
> >-fdiagnostics-show-location=once
> > -ffunction-sections -fdata-sections -g -c
> >/usr/src/gcc-3.2-3/libstdc++-v3/libsupc++/pure.cc -o pure.o
> >cc1plus: warning: -ffunction-sections may affect debugging on some
> >targets In file included from /usr/include/unistd.h:8,
> >                 from
> >                 /usr/src/gcc-3.2-3/libstdc++-v3/libsupc++/pure.cc:34:
> >/usr/src/gcc-3.2-3/include/getopt.h:115: declaration of C function `int
> >   getopt()' conflicts with
> >/usr/include/sys/unistd.h:125: previous declaration `int getopt(int,
> >char*
> >   const*, const char*)' here
> >
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/